{{page-title "LocationServices"}}

<div class="container">

  <div class="row">
    <div class="col">
      <h1>{{t "Location Services"}}</h1>
    </div>
  </div>

  <div class="row mt-4">
    <div class="col">

      <label for="precision-selector" class="form-label">{{t "Masking precision to use on maps for which masking is enabled"}}</label>

      <select id="precision-selector" class="form-select input-masking-precision" onchange={{action (mut this.model.maskingPrecision.value) value="target.value"}} disabled={{this.isSaving}}>
        {{#each this.maskingPrecision as |item|}}
          <option value={{item.value}} selected={{eq this.model.maskingPrecision.value item.value}}>{{t "decimals-label" value=item.value}}</option>
        {{/each}}
      </select>
      <div class="form-text"><MarkDown @value={{t "masking-precision-message"}} /></div>
    </div>
  </div>

  <div class="row mt-3 mb-4">
    <div class="col">
      <Input::Button class="btn btn-primary" @disabled={{this.isDisabled}} @action={{this.save}}>
        {{capitalize (t "save")}}
      </Input::Button>
    </div>
  </div>
</div>
